mail::ACCOUNT::login
Prev | mail::ACCOUNT Synchronous API reference | Next

## Name

mail::ACCOUNT::login — Open a new mail account

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail=new mail::ACCOUNT;
mail::account::openInfo accountOpenInfo;

`bool ok=mail->fsfunclogin(` | accountOpenInfo`)`;

std::string errmsg=mail->getErrmsg();

## USAGE

`mail::ACCOUNT::login` opens a new mail account. The mail account's location is specified by `accountOpenInfo`. See mail::account::open(3x) for the description of the parameters set by `accountOpenInfo`.

## RETURN CODES AND CALLBACKS

This method returns `true` if it succeeds, or `false` if it fails. If the method fails, use `mail::ACCOUNT::getErrmsg()` to read a brief description of the error.

### Note

The object must be destroyed if `mail::ACCOUNT::login` fails. A new mail::ACCOUNT object must be created for another login attempt.

## SEE ALSO

mail::ACCOUNT::logout(3x), mail::loginUrlEncode(3x), mail::setAppCharset(3x).

Prev | Up | Next
mail::ACCOUNT::getTopLevelFolders | Home | ToC | mail::ACCOUNT::logout